Functions
Initialization and de-initialization functions
Peripheral Driver » HAL Driver » DUAL TIMER » Functions

Initialization and de-initialization functions. More...

Collaboration diagram for Initialization and de-initialization functions:

## Functions
hal_status_t | hal_dual_timer_base_init (dual_timer_handle_t *p_dual_timer)
| Initialize the DUAL TIMER according to the specified parameters in the dual_timer_init_t and initialize the associated handle. More...
hal_status_t | hal_dual_timer_base_deinit (dual_timer_handle_t *p_dual_timer)
| De-initialize the DUAL TIMER peripheral. More...
void | hal_dual_timer_base_msp_init (dual_timer_handle_t *p_dual_timer)
| Initialize the DUAL TIMER MSP. More...
void | hal_dual_timer_base_msp_deinit (dual_timer_handle_t *p_dual_timer)
| De-initialize the DUAL TIMER MSP. More...
hal_status_t | hal_dual_timer_base_start (dual_timer_handle_t *p_dual_timer)
| Starts the DUAL TIMER counter. More...
hal_status_t | hal_dual_timer_base_stop (dual_timer_handle_t *p_dual_timer)
| Stops the DUAL TIMER counter. More...
hal_status_t | hal_dual_timer_base_start_it (dual_timer_handle_t *p_dual_timer)
| Starts the DUAL TIMER counter in interrupt mode. More...
hal_status_t | hal_dual_timer_base_stop_it (dual_timer_handle_t *p_dual_timer)
| Stops the DUAL TIMER counter in interrupt mode. More...

## Detailed Description

Initialization and de-initialization functions.

    ===============================================================================
                ##### Initialization and de-initialization functions #####
     ===============================================================================
        [..]
            This section provides functions allowing to:
            (+) Initialize and configure the DUAL TIMER.
            (+) De-initialize the DUAL TIMER.
            (+) Start the Timer.
            (+) Stop the Timer.
            (+) Start the Timer and enable interrupt.
            (+) Stop the Timer and disable interrupt.

## Function Documentation

## ◆ hal_dual_timer_base_deinit()

hal_status_t hal_dual_timer_base_deinit | ( | dual_timer_handle_t * | p_dual_timer | ) |

De-initialize the DUAL TIMER peripheral.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIM handle which contains the configuration information for the specified DUAL TIMER.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_dual_timer_base_init()

hal_status_t hal_dual_timer_base_init | ( | dual_timer_handle_t * | p_dual_timer | ) |

Initialize the DUAL TIMER according to the specified parameters in the dual_timer_init_t and initialize the associated handle.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIMER handle which contains the configuration information for the specified DUAL TIMER.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_dual_timer_base_msp_deinit()

void hal_dual_timer_base_msp_deinit | ( | dual_timer_handle_t * | p_dual_timer | ) |

De-initialize the DUAL TIMER MSP.

Note
  This function should not be modified. When the callback is needed, the hal_dual_timer_base_msp_deinit could be implemented in the user file

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIM handle which contains the configuration information for the specified DUAL TIMER.

## ◆ hal_dual_timer_base_msp_init()

void hal_dual_timer_base_msp_init | ( | dual_timer_handle_t * | p_dual_timer | ) |

Initialize the DUAL TIMER MSP.

Note
  This function should not be modified. When the callback is needed, the hal_dual_timer_base_msp_init could be implemented in the user file

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIMER handle which contains the configuration information for the specified DUAL TIMER.

## ◆ hal_dual_timer_base_start()

hal_status_t hal_dual_timer_base_start | ( | dual_timer_handle_t * | p_dual_timer | ) |

Starts the DUAL TIMER counter.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIMER handle which contains the configuration information for the specified DUAL TIMER.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_dual_timer_base_start_it()

hal_status_t hal_dual_timer_base_start_it | ( | dual_timer_handle_t * | p_dual_timer | ) |

Starts the DUAL TIMER counter in interrupt mode.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIM handle which contains the configuration information for the specified DUAL TIMER.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_dual_timer_base_stop()

hal_status_t hal_dual_timer_base_stop | ( | dual_timer_handle_t * | p_dual_timer | ) |

Stops the DUAL TIMER counter.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIM handle which contains the configuration information for the specified DUAL TIMER.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_dual_timer_base_stop_it()

hal_status_t hal_dual_timer_base_stop_it | ( | dual_timer_handle_t * | p_dual_timer | ) |

Stops the DUAL TIMER counter in interrupt mode.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIMER handle which contains the configuration information for the specified DUAL TIMER.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.